#pragma once

#include "DimensionGenerator.h"
#include "StaticRegistry.h"
#include "Noise.h"

class OverworldDimension : public DimensionGenerator
{
private:
	Noise* biomNoise;
	Noise* structureNoise;

public:
	OverworldDimension();
	~OverworldDimension();
	Noise* zBiomNoise() override;
	Noise* zStructureNoise() override;
};